Package org.apache.sling.sitemap

## Interface SitemapInfo

    @ProviderType
    public interface SitemapInfo

An info object with details about a sitemap/sitemap-index.

### Nested Class Summary

Nested Classes
`static class` `SitemapInfo.Status`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEntries()` Returns the number of urls in the sitemap.
`@NotNull String` `getName()` Returns the name of the sitemap.
`int` `getSize()` Returns the size of the sitemap in bytes.
`@NotNull SitemapInfo.Status` `getStatus()` Returns the status of the sitemap.
`@Nullable String` `getStoragePath()` Returns the resource path to the resource the sitemap is stored at.
`@NotNull String` `getUrl()` Returns the absolute, external url for the sitemap/sitemap-index.

### Method Detail

#### getStoragePath

    @Nullable
    @Nullable String getStoragePath()

Returns the resource path to the resource the sitemap is stored at. May return null if the sitemap or sitemap-index is served on-demand.

Returns:

#### getUrl

    @NotNull
    @NotNull String getUrl()

Returns the absolute, external url for the sitemap/sitemap-index.

Returns:

#### getName

    @NotNull
    @NotNull String getName()

Returns the name of the sitemap.

For sitemap-indexes this will be equal to `SitemapService.SITEMAP_INDEX_NAME` and for sitemaps generated for the default name this will be equal to `SitemapService.DEFAULT_SITEMAP_NAME`.

Returns:

#### getStatus

    @NotNull
    @NotNull SitemapInfo.Status getStatus()

Returns the status of the sitemap.

Returns:
See Also:
  `SitemapInfo.Status`

#### getSize

    int getSize()

Returns the size of the sitemap in bytes. -1 for sitemap-index or sitemaps served on-demand.

Returns:

#### getEntries

    int getEntries()

Returns the number of urls in the sitemap. -1 for sitemap-index or sitemaps served on-demand.

Returns: